Bug 1585864 - emails are not threaded with quilt 0.65
Summary: emails are not threaded with quilt 0.65
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quilt
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-05 00:51 UTC by Dave Young
Modified: 2019-04-13 00:46 UTC (History)
2 users (show)

Fixed In Version: quilt-0.66-1.fc30 quilt-0.66-1.fc28 quilt-0.66-1.fc29 quilt-0.66-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-02 00:01:57 UTC


Attachments (Terms of Use)
a backport to fix the problem (2.85 KB, application/mbox)
2018-06-05 00:52 UTC, Dave Young
no flags Details

Description Dave Young 2018-06-05 00:51:04 UTC
Description of problem:

Upstream commit below is needed to be able to thread emails:

    commit 360b85e1f6b6d1aff5ada942fcee816e1ad7a13c
    Author: Jean Delvare <jdelvare@suse.de>
    Date:   Fri Apr 14 09:07:51 2017 +0200
    
        mail: Fix patch set threading


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Dave Young 2018-06-05 00:52:53 UTC
Created attachment 1447662 [details]
a backport to fix the problem

Comment 2 Dave Young 2018-06-05 01:13:20 UTC
Josh, can we get this in rawhide and F28?

Comment 3 Josh Boyer 2018-06-05 12:14:58 UTC
(In reply to Dave Young from comment #2)
> Josh, can we get this in rawhide and F28?

Yep.  Do you want to commit it directly and build?  If you can't for some reason, I'll get to it today.  I'm hoping they just do a new upstream release.

Comment 4 Dave Young 2018-06-06 00:34:47 UTC
(In reply to Josh Boyer from comment #3)
> (In reply to Dave Young from comment #2)
> > Josh, can we get this in rawhide and F28?
> 
> Yep.  Do you want to commit it directly and build?  If you can't for some
> reason, I'll get to it today.  I'm hoping they just do a new upstream
> release.

I usually manually apply the patch or modify the mbox directly, it was very boring.   Yes, I can commit it directly and make a build.

Thanks
Dave

Comment 5 Dave Young 2018-06-06 01:06:34 UTC
Hmm, seems only [co]maintainers of the pkg can push, I got below error, maybe I'm limited to push "kexec-tools" pkg only:

[dyoung@dhcp-128-65 quilt]$ fedpkg push
Enter passphrase for key '/home/dyoung/.ssh/id_rsa': 
FATAL: W any rpms/quilt yangrr DENIED by fallthru
(or you mis-spelled the reponame)
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
Could not execute push: Command '['git', 'push']' returned non-zero exit status 128

Comment 6 Dave Young 2018-06-06 01:07:22 UTC
Anyway, I verified below scrach build
https://koji.fedoraproject.org/koji/taskinfo?taskID=27446368

Comment 7 Josh Boyer 2018-06-18 13:47:13 UTC
Thanks Dave.  I committed and pushed your patch and kicked off builds for f27-rawhide.

Comment 8 Jan Kurik 2018-08-14 11:18:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 9 Fedora Update System 2019-03-28 18:40:42 UTC
quilt-0.66-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-acb7ab93fc

Comment 10 Fedora Update System 2019-03-28 18:41:22 UTC
quilt-0.66-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-81d8b81672

Comment 11 Fedora Update System 2019-03-28 18:41:28 UTC
quilt-0.66-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9cc7fb9ab5

Comment 12 Fedora Update System 2019-03-28 18:48:45 UTC
quilt-0.66-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-36bc7718f6

Comment 13 Fedora Update System 2019-03-29 00:13:09 UTC
quilt-0.66-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-acb7ab93fc

Comment 14 Fedora Update System 2019-03-29 02:14:59 UTC
quilt-0.66-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-36bc7718f6

Comment 15 Fedora Update System 2019-03-29 03:05:38 UTC
quilt-0.66-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9cc7fb9ab5

Comment 16 Fedora Update System 2019-03-29 04:16:02 UTC
quilt-0.66-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-81d8b81672

Comment 17 Fedora Update System 2019-04-02 00:01:57 UTC
quilt-0.66-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-04-06 19:21:49 UTC
quilt-0.66-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-04-06 19:43:20 UTC
quilt-0.66-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-04-13 00:46:39 UTC
quilt-0.66-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.